#include<bits/stdc++.h>
using namespace std;
int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    cout.tie(NULL);
    int n;
    cin>>n;
    for(int i=0;i<n;i++){
        string a;
        cin>>a;
        int b[257]={0};
        for(int j=0;j<a.size();j++){
            b[int(a[j])]++;
        }
        int br=0;
        for(int k=0;k<257;k++){
            if(b[k]==0){
                continue;
            }
            if(b[k]%2==1){
                br++;
            }
        }
        if(br==1 || br==0){
            cout<<"1";
        }else{
            cout<<"0";
        }
    }
    return 0;
}